﻿using System.Collections.Generic;
using System.Web.Mvc;
using System.Net.Http;
using System.Web.Script.Serialization;
using MVC_App.Models;

namespace MVC_App.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            List<CustomerModel> customers = SearchCustomers("");
            return View(customers);
        }

        [HttpPost]
        public ActionResult Index(string name)
        {
            List<CustomerModel> customers = SearchCustomers(name);
            return View(customers);
        }

        private static List<CustomerModel> SearchCustomers(string name)
        {
            List<CustomerModel> customers = new List<CustomerModel>();
            string apiUrl = "http://localhost:26404/api/CustomerAPI";

            HttpClient client = new HttpClient();
            HttpResponseMessage response = client.GetAsync(apiUrl + string.Format("/GetCustomers?name={0}", name)).Result;
            if (response.IsSuccessStatusCode)
            {
                customers = (new JavaScriptSerializer()).Deserialize<List<CustomerModel>>(response.Content.ReadAsStringAsync().Result);
            }

            return customers;
        }
    }
}